#ifndef VENTRICLEPVLOOPS_HPP
#define VENTRICLEPVLOOPS_HPP

constexpr double cycleTime = 0.8;
constexpr double loopDT = 0.001;
constexpr int cycleEntries = (int) (cycleTime / loopDT + 1e-12);

constexpr std::pair<double, double> pressureVolumeEntry(double time,
                                                        std::array<std::pair<double, double>, cycleEntries> ventricleLoop) {
  int index = (int) (time / loopDT + 1e-12);
  auto lambda = time / loopDT - index;

  return {
      (1.0 - lambda) * ventricleLoop[index % cycleEntries].first +
      lambda * ventricleLoop[(index + 1) % cycleEntries].first,
      (1.0 - lambda) * ventricleLoop[index % cycleEntries].second +
      lambda * ventricleLoop[(index + 1) % cycleEntries].second
  };
}


constexpr std::array<std::pair<double, double>, cycleEntries> fineVentricleLVLoop{
    std::pair<double, double>{1.267727, 141.161789},
    std::pair<double, double>{1.281743, 141.365041},
    std::pair<double, double>{1.295706, 141.567185},
    std::pair<double, double>{1.309595, 141.768228},
    std::pair<double, double>{1.323501, 141.968163},
    std::pair<double, double>{1.337791, 142.167002},
    std::pair<double, double>{1.351816, 142.364775},
    std::pair<double, double>{1.365730, 142.561483},
    std::pair<double, double>{1.379806, 142.757121},
    std::pair<double, double>{1.393778, 142.951704},
    std::pair<double, double>{1.407873, 143.145250},
    std::pair<double, double>{1.422026, 143.337766},
    std::pair<double, double>{1.436028, 143.529264},
    std::pair<double, double>{1.449902, 143.719748},
    std::pair<double, double>{1.464055, 143.909214},
    std::pair<double, double>{1.478280, 144.097668},
    std::pair<double, double>{1.492414, 144.285138},
    std::pair<double, double>{1.506536, 144.471636},
    std::pair<double, double>{1.520686, 144.657164},
    std::pair<double, double>{1.535031, 144.841731},
    std::pair<double, double>{1.549371, 145.025358},
    std::pair<double, double>{1.563889, 145.208044},
    std::pair<double, double>{1.578594, 145.389779},
    std::pair<double, double>{1.593634, 145.570561},
    std::pair<double, double>{1.608785, 145.750392},
    std::pair<double, double>{1.623973, 145.929272},
    std::pair<double, double>{1.639549, 146.107179},
    std::pair<double, double>{1.655242, 146.284088},
    std::pair<double, double>{1.670893, 146.459974},
    std::pair<double, double>{1.686731, 146.634795},
    std::pair<double, double>{1.702839, 146.808481},
    std::pair<double, double>{1.718912, 146.980946},
    std::pair<double, double>{1.734887, 147.152096},
    std::pair<double, double>{1.750832, 147.321840},
    std::pair<double, double>{1.766545, 147.490101},
    std::pair<double, double>{1.782118, 147.656777},
    std::pair<double, double>{1.797943, 147.821783},
    std::pair<double, double>{1.813911, 147.985066},
    std::pair<double, double>{1.829978, 148.146586},
    std::pair<double, double>{1.846269, 148.306329},
    std::pair<double, double>{1.863153, 148.464316},
    std::pair<double, double>{1.880910, 148.620583},
    std::pair<double, double>{1.899644, 148.775172},
    std::pair<double, double>{1.919150, 148.928145},
    std::pair<double, double>{1.939261, 149.079583},
    std::pair<double, double>{1.960212, 149.229566},
    std::pair<double, double>{1.982097, 149.378173},
    std::pair<double, double>{2.005285, 149.525501},
    std::pair<double, double>{2.029625, 149.671703},
    std::pair<double, double>{2.054850, 149.816954},
    std::pair<double, double>{2.081076, 149.961420},
    std::pair<double, double>{2.108713, 150.105311},
    std::pair<double, double>{2.137977, 150.248901},
    std::pair<double, double>{2.168941, 150.392502},
    std::pair<double, double>{2.201822, 150.536491},
    std::pair<double, double>{2.236604, 150.681331},
    std::pair<double, double>{2.273649, 150.827511},
    std::pair<double, double>{2.313219, 150.975566},
    std::pair<double, double>{2.355024, 151.126084},
    std::pair<double, double>{2.399572, 151.279668},
    std::pair<double, double>{2.446727, 151.436893},
    std::pair<double, double>{2.496349, 151.598295},
    std::pair<double, double>{2.548354, 151.764370},
    std::pair<double, double>{2.602286, 151.935538},
    std::pair<double, double>{2.658932, 152.112129},
    std::pair<double, double>{2.716724, 152.294375},
    std::pair<double, double>{2.775862, 152.482412},
    std::pair<double, double>{2.836892, 152.676384},
    std::pair<double, double>{2.898400, 152.876407},
    std::pair<double, double>{2.962102, 153.082554},
    std::pair<double, double>{3.027982, 153.294968},
    std::pair<double, double>{3.095442, 153.513852},
    std::pair<double, double>{3.163882, 153.739410},
    std::pair<double, double>{3.232820, 153.971782},
    std::pair<double, double>{3.305769, 154.211161},
    std::pair<double, double>{3.380669, 154.457892},
    std::pair<double, double>{3.454641, 154.712215},
    std::pair<double, double>{3.530937, 154.974235},
    std::pair<double, double>{3.609058, 155.244132},
    std::pair<double, double>{3.686467, 155.522061},
    std::pair<double, double>{3.763257, 155.808016},
    std::pair<double, double>{3.839868, 156.101917},
    std::pair<double, double>{3.914155, 156.403626},
    std::pair<double, double>{3.987739, 156.712947},
    std::pair<double, double>{4.060758, 157.029779},
    std::pair<double, double>{4.129608, 157.353954},
    std::pair<double, double>{4.198525, 157.685203},
    std::pair<double, double>{4.268510, 158.023521},
    std::pair<double, double>{4.335451, 158.368965},
    std::pair<double, double>{4.397249, 158.721191},
    std::pair<double, double>{4.454908, 159.079530},
    std::pair<double, double>{4.513988, 159.443504},
    std::pair<double, double>{4.570975, 159.812991},
    std::pair<double, double>{4.624690, 160.187860},
    std::pair<double, double>{4.677903, 160.567953},
    std::pair<double, double>{4.728058, 160.953116},
    std::pair<double, double>{4.780567, 161.343355},
    std::pair<double, double>{4.830399, 161.738834},
    std::pair<double, double>{4.876618, 162.139437},
    std::pair<double, double>{4.927836, 162.545160},
    std::pair<double, double>{4.977588, 162.956311},
    std::pair<double, double>{5.025109, 163.372939},
    std::pair<double, double>{5.075589, 163.794962},
    std::pair<double, double>{5.126095, 164.222399},
    std::pair<double, double>{5.174037, 164.655069},
    std::pair<double, double>{5.221849, 165.092545},
    std::pair<double, double>{5.270873, 165.534457},
    std::pair<double, double>{5.317161, 165.980425},
    std::pair<double, double>{5.360617, 166.429795},
    std::pair<double, double>{5.402918, 166.881802},
    std::pair<double, double>{5.442013, 167.335692},
    std::pair<double, double>{5.478087, 167.790642},
    std::pair<double, double>{5.510440, 168.245789},
    std::pair<double, double>{5.540266, 168.700336},
    std::pair<double, double>{5.567020, 169.153643},
    std::pair<double, double>{5.588920, 169.605064},
    std::pair<double, double>{5.607218, 170.053834},
    std::pair<double, double>{5.621249, 170.499184},
    std::pair<double, double>{5.631495, 170.940423},
    std::pair<double, double>{5.638533, 171.376962},
    std::pair<double, double>{5.640252, 171.808245},
    std::pair<double, double>{5.637155, 172.233610},
    std::pair<double, double>{5.631374, 172.652412},
    std::pair<double, double>{5.621800, 173.064146},
    std::pair<double, double>{5.609809, 173.468415},
    std::pair<double, double>{5.593859, 173.864866},
    std::pair<double, double>{5.574775, 174.253103},
    std::pair<double, double>{5.555300, 174.632854},
    std::pair<double, double>{5.533131, 175.004014},
    std::pair<double, double>{5.508886, 175.366469},
    std::pair<double, double>{5.483422, 175.720126},
    std::pair<double, double>{5.457586, 176.065046},
    std::pair<double, double>{5.429620, 176.401337},
    std::pair<double, double>{5.399961, 176.728984},
    std::pair<double, double>{5.370963, 177.048017},
    std::pair<double, double>{5.341461, 177.358638},
    std::pair<double, double>{5.311537, 177.661106},
    std::pair<double, double>{5.280732, 177.955642},
    std::pair<double, double>{5.249681, 178.242395},
    std::pair<double, double>{5.219351, 178.521550},
    std::pair<double, double>{5.188679, 178.793389},
    std::pair<double, double>{5.158305, 179.058191},
    std::pair<double, double>{5.127965, 179.316190},
    std::pair<double, double>{5.097359, 179.567570},
    std::pair<double, double>{5.067515, 179.812524},
    std::pair<double, double>{5.037791, 180.051283},
    std::pair<double, double>{5.008383, 180.284073},
    std::pair<double, double>{4.979567, 180.511133},
    std::pair<double, double>{4.950884, 180.732691},
    std::pair<double, double>{4.922582, 180.948931},
    std::pair<double, double>{4.894971, 181.160034},
    std::pair<double, double>{4.867674, 181.366189},
    std::pair<double, double>{4.840453, 181.567567},
    std::pair<double, double>{4.813869, 181.764317},
    std::pair<double, double>{4.787985, 181.956615},
    std::pair<double, double>{4.762461, 182.144661},
    std::pair<double, double>{4.737307, 182.328612},
    std::pair<double, double>{4.712574, 182.508588},
    std::pair<double, double>{4.688396, 182.684714},
    std::pair<double, double>{4.664715, 182.857140},
    std::pair<double, double>{4.641629, 183.026025},
    std::pair<double, double>{4.618861, 183.191494},
    std::pair<double, double>{4.596486, 183.353622},
    std::pair<double, double>{4.574704, 183.512501},
    std::pair<double, double>{4.553223, 183.668267},
    std::pair<double, double>{4.532459, 183.821050},
    std::pair<double, double>{4.511991, 183.970957},
    std::pair<double, double>{4.491612, 184.118060},
    std::pair<double, double>{4.472065, 184.262415},
    std::pair<double, double>{4.453110, 184.404116},
    std::pair<double, double>{4.434147, 184.543257},
    std::pair<double, double>{4.415407, 184.679915},
    std::pair<double, double>{4.397433, 184.814172},
    std::pair<double, double>{4.379858, 184.946095},
    std::pair<double, double>{4.362708, 185.075741},
    std::pair<double, double>{4.345940, 185.203182},
    std::pair<double, double>{4.329329, 185.328490},
    std::pair<double, double>{4.313088, 185.451697},
    std::pair<double, double>{4.297355, 185.572832},
    std::pair<double, double>{4.282177, 185.691950},
    std::pair<double, double>{4.267263, 185.809126},
    std::pair<double, double>{4.252439, 185.924421},
    std::pair<double, double>{4.237954, 186.037863},
    std::pair<double, double>{4.224175, 186.149464},
    std::pair<double, double>{4.211102, 186.259275},
    std::pair<double, double>{4.198164, 186.367355},
    std::pair<double, double>{4.185472, 186.473712},
    std::pair<double, double>{4.173219, 186.578348},
    std::pair<double, double>{4.161350, 186.681302},
    std::pair<double, double>{4.149936, 186.782604},
    std::pair<double, double>{4.139110, 186.882246},
    std::pair<double, double>{4.129254, 186.980215},
    std::pair<double, double>{4.119907, 187.076514},
    std::pair<double, double>{4.111248, 187.171109},
    std::pair<double, double>{4.103611, 187.263959},
    std::pair<double, double>{4.096967, 187.355044},
    std::pair<double, double>{4.091184, 187.444347},
    std::pair<double, double>{4.086542, 187.531808},
    std::pair<double, double>{4.083401, 187.617343},
    std::pair<double, double>{4.081553, 187.700862},
    std::pair<double, double>{4.081388, 187.782274},
    std::pair<double, double>{4.082919, 187.861484},
    std::pair<double, double>{4.086061, 187.938381},
    std::pair<double, double>{4.091795, 188.012795},
    std::pair<double, double>{4.099932, 188.084537},
    std::pair<double, double>{4.109921, 188.153457},
    std::pair<double, double>{4.123286, 188.219376},
    std::pair<double, double>{4.139049, 188.282110},
    std::pair<double, double>{4.157480, 188.341448},
    std::pair<double, double>{4.179049, 188.397183},
    std::pair<double, double>{4.203557, 188.449120},
    std::pair<double, double>{4.231437, 188.497025},
    std::pair<double, double>{4.262780, 188.540641},
    std::pair<double, double>{4.297343, 188.579724},
    std::pair<double, double>{4.335583, 188.614054},
    std::pair<double, double>{4.377198, 188.643421},
    std::pair<double, double>{4.422161, 188.667543},
    std::pair<double, double>{4.471029, 188.686147},
    std::pair<double, double>{4.523604, 188.699015},
    std::pair<double, double>{4.580200, 188.705880},
    std::pair<double, double>{4.640703, 188.706432},
    std::pair<double, double>{4.796400, 188.706432},
    std::pair<double, double>{4.791855, 188.706432},
    std::pair<double, double>{5.009501, 188.706432},
    std::pair<double, double>{4.996423, 188.706432},
    std::pair<double, double>{5.244867, 188.706432},
    std::pair<double, double>{5.241598, 188.706432},
    std::pair<double, double>{5.511974, 188.706432},
    std::pair<double, double>{5.523883, 188.706432},
    std::pair<double, double>{5.817485, 188.706432},
    std::pair<double, double>{5.848890, 188.706432},
    std::pair<double, double>{6.166134, 188.706432},
    std::pair<double, double>{6.219982, 188.706432},
    std::pair<double, double>{6.563097, 188.706432},
    std::pair<double, double>{6.641712, 188.706432},
    std::pair<double, double>{7.013850, 188.706432},
    std::pair<double, double>{7.120766, 188.706432},
    std::pair<double, double>{7.524162, 188.706432},
    std::pair<double, double>{7.660908, 188.706432},
    std::pair<double, double>{8.096952, 188.706432},
    std::pair<double, double>{8.263964, 188.706432},
    std::pair<double, double>{8.735266, 188.706432},
    std::pair<double, double>{8.935373, 188.706432},
    std::pair<double, double>{9.443137, 188.706432},
    std::pair<double, double>{9.678219, 188.706432},
    std::pair<double, double>{10.222709, 188.706432},
    std::pair<double, double>{10.491926, 188.706432},
    std::pair<double, double>{11.078739, 188.706432},
    std::pair<double, double>{11.386577, 188.706432},
    std::pair<double, double>{12.014296, 188.706432},
    std::pair<double, double>{12.361773, 188.706432},
    std::pair<double, double>{13.034031, 188.706432},
    std::pair<double, double>{13.421831, 188.706432},
    std::pair<double, double>{14.140798, 188.706432},
    std::pair<double, double>{14.572155, 188.706432},
    std::pair<double, double>{15.337551, 188.706432},
    std::pair<double, double>{15.814023, 188.706432},
    std::pair<double, double>{16.630001, 188.706432},
    std::pair<double, double>{17.150024, 188.706432},
    std::pair<double, double>{18.015816, 188.706432},
    std::pair<double, double>{18.584755, 188.706432},
    std::pair<double, double>{19.503973, 188.706432},
    std::pair<double, double>{20.119276, 188.706432},
    std::pair<double, double>{21.091025, 188.706432},
    std::pair<double, double>{21.756684, 188.706432},
    std::pair<double, double>{22.783207, 188.706432},
    std::pair<double, double>{23.498826, 188.706432},
    std::pair<double, double>{24.582461, 188.706432},
    std::pair<double, double>{25.351862, 188.706432},
    std::pair<double, double>{26.495251, 188.706432},
    std::pair<double, double>{27.317595, 188.706432},
    std::pair<double, double>{28.519435, 188.706432},
    std::pair<double, double>{29.397812, 188.706432},
    std::pair<double, double>{30.662858, 188.706432},
    std::pair<double, double>{31.597547, 188.706432},
    std::pair<double, double>{32.925050, 188.706432},
    std::pair<double, double>{33.919827, 188.706432},
    std::pair<double, double>{35.313158, 188.706432},
    std::pair<double, double>{36.366998, 188.706432},
    std::pair<double, double>{37.827144, 188.706432},
    std::pair<double, double>{38.932484, 188.706432},
    std::pair<double, double>{40.431976, 188.706432},
    std::pair<double, double>{41.583730, 188.706432},
    std::pair<double, double>{43.145932, 188.706432},
    std::pair<double, double>{44.348083, 188.706432},
    std::pair<double, double>{45.970067, 188.706432},
    std::pair<double, double>{47.223845, 188.706432},
    std::pair<double, double>{48.902255, 188.706432},
    std::pair<double, double>{50.208214, 188.706432},
    std::pair<double, double>{51.943675, 188.706432},
    std::pair<double, double>{53.299603, 188.706432},
    std::pair<double, double>{55.090847, 188.706432},
    std::pair<double, double>{56.495244, 188.706432},
    std::pair<double, double>{58.340332, 188.706432},
    std::pair<double, double>{59.792460, 188.706432},
    std::pair<double, double>{61.689957, 188.706432},
    std::pair<double, double>{62.737800, 188.696764},
    std::pair<double, double>{63.810359, 188.656646},
    std::pair<double, double>{64.930567, 188.585042},
    std::pair<double, double>{65.926925, 188.485666},
    std::pair<double, double>{66.923052, 188.358781},
    std::pair<double, double>{67.863822, 188.206170},
    std::pair<double, double>{68.772177, 188.028966},
    std::pair<double, double>{69.645644, 187.828362},
    std::pair<double, double>{70.486066, 187.605484},
    std::pair<double, double>{71.296698, 187.361362},
    std::pair<double, double>{72.076921, 187.097032},
    std::pair<double, double>{72.829601, 186.813440},
    std::pair<double, double>{73.555723, 186.511498},
    std::pair<double, double>{74.256480, 186.192074},
    std::pair<double, double>{74.932962, 185.856000},
    std::pair<double, double>{75.586404, 185.504065},
    std::pair<double, double>{76.217974, 185.137019},
    std::pair<double, double>{76.828737, 184.755575},
    std::pair<double, double>{77.420015, 184.360403},
    std::pair<double, double>{77.992115, 183.952158},
    std::pair<double, double>{78.545874, 183.531467},
    std::pair<double, double>{79.082269, 183.098922},
    std::pair<double, double>{79.601514, 182.655105},
    std::pair<double, double>{80.105165, 182.200549},
    std::pair<double, double>{80.593583, 181.735774},
    std::pair<double, double>{81.066683, 181.261294},
    std::pair<double, double>{81.526004, 180.777578},
    std::pair<double, double>{81.971868, 180.285081},
    std::pair<double, double>{82.404655, 179.784245},
    std::pair<double, double>{82.825152, 179.275483},
    std::pair<double, double>{83.233787, 178.759194},
    std::pair<double, double>{83.630953, 178.235763},
    std::pair<double, double>{84.016731, 177.705568},
    std::pair<double, double>{84.391867, 177.168964},
    std::pair<double, double>{84.757132, 176.626280},
    std::pair<double, double>{85.112444, 176.077846},
    std::pair<double, double>{85.457929, 175.523984},
    std::pair<double, double>{85.794294, 174.964993},
    std::pair<double, double>{86.122065, 174.401157},
    std::pair<double, double>{86.441237, 173.832755},
    std::pair<double, double>{86.752104, 173.260056},
    std::pair<double, double>{87.054970, 172.683319},
    std::pair<double, double>{87.349904, 172.102799},
    std::pair<double, double>{87.637438, 171.518732},
    std::pair<double, double>{87.917814, 170.931345},
    std::pair<double, double>{88.190927, 170.340870},
    std::pair<double, double>{88.457283, 169.747517},
    std::pair<double, double>{88.717105, 169.151492},
    std::pair<double, double>{88.970403, 168.552997},
    std::pair<double, double>{89.217439, 167.952225},
    std::pair<double, double>{89.458328, 167.349366},
    std::pair<double, double>{89.693145, 166.744603},
    std::pair<double, double>{89.922222, 166.138110},
    std::pair<double, double>{90.145844, 165.530052},
    std::pair<double, double>{90.363962, 164.920592},
    std::pair<double, double>{90.576589, 164.309892},
    std::pair<double, double>{90.784018, 163.698106},
    std::pair<double, double>{90.986329, 163.085382},
    std::pair<double, double>{91.183398, 162.471871},
    std::pair<double, double>{91.375726, 161.857709},
    std::pair<double, double>{91.563369, 161.243029},
    std::pair<double, double>{91.746074, 160.627969},
    std::pair<double, double>{91.924311, 160.012654},
    std::pair<double, double>{92.098137, 159.397205},
    std::pair<double, double>{92.267507, 158.781745},
    std::pair<double, double>{92.432628, 158.166389},
    std::pair<double, double>{92.593294, 157.551255},
    std::pair<double, double>{92.749665, 156.936459},
    std::pair<double, double>{92.902236, 156.322100},
    std::pair<double, double>{93.050703, 155.708283},
    std::pair<double, double>{93.194802, 155.095123},
    std::pair<double, double>{93.334987, 154.482720},
    std::pair<double, double>{93.471479, 153.871165},
    std::pair<double, double>{93.604212, 153.260553},
    std::pair<double, double>{93.733135, 152.650976},
    std::pair<double, double>{93.858257, 152.042530},
    std::pair<double, double>{93.979776, 151.435299},
    std::pair<double, double>{94.097741, 150.829368},
    std::pair<double, double>{94.212196, 150.224821},
    std::pair<double, double>{94.323156, 149.621739},
    std::pair<double, double>{94.430748, 149.020197},
    std::pair<double, double>{94.534986, 148.420274},
    std::pair<double, double>{94.635737, 147.822047},
    std::pair<double, double>{94.733128, 147.225591},
    std::pair<double, double>{94.827268, 146.630978},
    std::pair<double, double>{94.918248, 146.038275},
    std::pair<double, double>{95.006120, 145.447548},
    std::pair<double, double>{95.091095, 144.858857},
    std::pair<double, double>{95.172549, 144.272278},
    std::pair<double, double>{95.250622, 143.687882},
    std::pair<double, double>{95.326153, 143.105717},
    std::pair<double, double>{95.398717, 142.525843},
    std::pair<double, double>{95.467967, 141.948327},
    std::pair<double, double>{95.534179, 141.373230},
    std::pair<double, double>{95.597592, 140.800603},
    std::pair<double, double>{95.658214, 140.230500},
    std::pair<double, double>{95.716189, 139.662967},
    std::pair<double, double>{95.771045, 139.098065},
    std::pair<double, double>{95.823031, 138.535847},
    std::pair<double, double>{95.872631, 137.976351},
    std::pair<double, double>{95.919197, 137.419635},
    std::pair<double, double>{95.962887, 136.865750},
    std::pair<double, double>{96.004008, 136.314738},
    std::pair<double, double>{96.042610, 135.766641},
    std::pair<double, double>{96.078490, 135.221505},
    std::pair<double, double>{96.111627, 134.679375},
    std::pair<double, double>{96.142529, 134.140285},
    std::pair<double, double>{96.170778, 133.604277},
    std::pair<double, double>{96.196343, 133.071394},
    std::pair<double, double>{96.219584, 132.541671},
    std::pair<double, double>{96.240220, 132.015148},
    std::pair<double, double>{96.258277, 131.491865},
    std::pair<double, double>{96.273816, 130.971859},
    std::pair<double, double>{96.287007, 130.455163},
    std::pair<double, double>{96.297858, 129.941809},
    std::pair<double, double>{96.306228, 129.431833},
    std::pair<double, double>{96.312446, 128.925262},
    std::pair<double, double>{96.316250, 128.422128},
    std::pair<double, double>{96.317380, 127.922473},
    std::pair<double, double>{96.316424, 127.426319},
    std::pair<double, double>{96.313341, 126.933692},
    std::pair<double, double>{96.307843, 126.444623},
    std::pair<double, double>{96.300165, 125.959139},
    std::pair<double, double>{96.290311, 125.477264},
    std::pair<double, double>{96.278407, 124.999021},
    std::pair<double, double>{96.264578, 124.524426},
    std::pair<double, double>{96.248167, 124.053517},
    std::pair<double, double>{96.229327, 123.586324},
    std::pair<double, double>{96.208524, 123.122866},
    std::pair<double, double>{96.185596, 122.663165},
    std::pair<double, double>{96.160527, 122.207244},
    std::pair<double, double>{96.133394, 121.755124},
    std::pair<double, double>{96.104416, 121.306819},
    std::pair<double, double>{96.073199, 120.862354},
    std::pair<double, double>{96.039720, 120.421755},
    std::pair<double, double>{96.004414, 119.985035},
    std::pair<double, double>{95.967159, 119.552209},
    std::pair<double, double>{95.927930, 119.123297},
    std::pair<double, double>{95.886417, 118.698322},
    std::pair<double, double>{95.842683, 118.277309},
    std::pair<double, double>{95.797088, 117.860271},
    std::pair<double, double>{95.749564, 117.447224},
    std::pair<double, double>{95.700160, 117.038180},
    std::pair<double, double>{95.648739, 116.633157},
    std::pair<double, double>{95.595285, 116.232174},
    std::pair<double, double>{95.540023, 115.835241},
    std::pair<double, double>{95.482942, 115.442370},
    std::pair<double, double>{95.423904, 115.053577},
    std::pair<double, double>{95.362578, 114.668885},
    std::pair<double, double>{95.299299, 114.288309},
    std::pair<double, double>{95.234143, 113.911863},
    std::pair<double, double>{95.167151, 113.539558},
    std::pair<double, double>{95.098442, 113.171401},
    std::pair<double, double>{95.027700, 112.807409},
    std::pair<double, double>{94.955057, 112.447596},
    std::pair<double, double>{94.880513, 112.091974},
    std::pair<double, double>{94.804026, 111.740558},
    std::pair<double, double>{94.725649, 111.393359},
    std::pair<double, double>{94.645492, 111.050386},
    std::pair<double, double>{94.563394, 110.711654},
    std::pair<double, double>{94.479419, 110.377174},
    std::pair<double, double>{94.393549, 110.046958},
    std::pair<double, double>{94.305729, 109.721020},
    std::pair<double, double>{94.216038, 109.399371},
    std::pair<double, double>{94.124451, 109.082023},
    std::pair<double, double>{94.031092, 108.768985},
    std::pair<double, double>{93.935741, 108.460270},
    std::pair<double, double>{93.838528, 108.155890},
    std::pair<double, double>{93.739386, 107.855857},
    std::pair<double, double>{93.638124, 107.560188},
    std::pair<double, double>{93.535094, 107.268892},
    std::pair<double, double>{93.430264, 106.981977},
    std::pair<double, double>{93.323686, 106.699451},
    std::pair<double, double>{93.215351, 106.421320},
    std::pair<double, double>{93.104962, 106.147600},
    std::pair<double, double>{92.992723, 105.878301},
    std::pair<double, double>{92.878479, 105.613437},
    std::pair<double, double>{92.762056, 105.353026},
    std::pair<double, double>{92.643746, 105.097079},
    std::pair<double, double>{92.523433, 104.845611},
    std::pair<double, double>{92.400964, 104.598637},
    std::pair<double, double>{92.276625, 104.356168},
    std::pair<double, double>{92.150536, 104.118211},
    std::pair<double, double>{92.022586, 103.884774},
    std::pair<double, double>{91.892644, 103.655871},
    std::pair<double, double>{91.760384, 103.431523},
    std::pair<double, double>{91.625881, 103.211750},
    std::pair<double, double>{91.489304, 102.996567},
    std::pair<double, double>{91.350690, 102.785986},
    std::pair<double, double>{91.209984, 102.580024},
    std::pair<double, double>{91.067113, 102.378697},
    std::pair<double, double>{90.922130, 102.182020},
    std::pair<double, double>{90.775045, 101.990009},
    std::pair<double, double>{90.625662, 101.802683},
    std::pair<double, double>{90.473880, 101.620066},
    std::pair<double, double>{90.319961, 101.442173},
    std::pair<double, double>{90.163834, 101.269020},
    std::pair<double, double>{90.005296, 101.100632},
    std::pair<double, double>{89.844480, 100.937026},
    std::pair<double, double>{89.681269, 100.778225},
    std::pair<double, double>{89.515541, 100.624254},
    std::pair<double, double>{89.347421, 100.475134},
    std::pair<double, double>{89.176905, 100.330887},
    std::pair<double, double>{89.003822, 100.191539},
    std::pair<double, double>{88.828216, 100.057114},
    std::pair<double, double>{88.650199, 99.927634},
    std::pair<double, double>{88.469429, 99.803129},
    std::pair<double, double>{88.285816, 99.683633},
    std::pair<double, double>{88.099701, 99.569167},
    std::pair<double, double>{87.910980, 99.459758},
    std::pair<double, double>{87.719451, 99.355438},
    std::pair<double, double>{87.525110, 99.256236},
    std::pair<double, double>{87.327919, 99.162185},
    std::pair<double, double>{87.127890, 99.073316},
    std::pair<double, double>{86.925013, 98.989660},
    std::pair<double, double>{86.719173, 98.911252},
    std::pair<double, double>{86.510305, 98.838127},
    std::pair<double, double>{86.298439, 98.770319},
    std::pair<double, double>{86.083538, 98.707863},
    std::pair<double, double>{85.865598, 98.650796},
    std::pair<double, double>{85.644424, 98.599156},
    std::pair<double, double>{85.419920, 98.552987},
    std::pair<double, double>{85.192408, 98.512321},
    std::pair<double, double>{84.961723, 98.477196},
    std::pair<double, double>{84.727522, 98.447659},
    std::pair<double, double>{84.490032, 98.423749},
    std::pair<double, double>{84.249375, 98.405503},
    std::pair<double, double>{84.005271, 98.392965},
    std::pair<double, double>{83.757627, 98.386180},
    std::pair<double, double>{83.506511, 98.385192},
    std::pair<double, double>{82.908900, 98.385192},
    std::pair<double, double>{82.669674, 98.385192},
    std::pair<double, double>{81.990575, 98.385192},
    std::pair<double, double>{81.730601, 98.385192},
    std::pair<double, double>{80.996495, 98.385192},
    std::pair<double, double>{80.704876, 98.385192},
    std::pair<double, double>{79.927768, 98.385192},
    std::pair<double, double>{79.601250, 98.385192},
    std::pair<double, double>{78.787052, 98.385192},
    std::pair<double, double>{78.426900, 98.385192},
    std::pair<double, double>{77.580063, 98.385192},
    std::pair<double, double>{77.187764, 98.385192},
    std::pair<double, double>{76.311193, 98.385192},
    std::pair<double, double>{75.888732, 98.385192},
    std::pair<double, double>{74.984497, 98.385192},
    std::pair<double, double>{74.533246, 98.385192},
    std::pair<double, double>{73.604051, 98.385192},
    std::pair<double, double>{73.126699, 98.385192},
    std::pair<double, double>{72.174440, 98.385192},
    std::pair<double, double>{71.672392, 98.385192},
    std::pair<double, double>{71.115632, 98.385192},
    std::pair<double, double>{70.369393, 98.385192},
    std::pair<double, double>{69.619972, 98.385192},
    std::pair<double, double>{68.413518, 98.385192},
    std::pair<double, double>{67.891468, 98.385192},
    std::pair<double, double>{66.859495, 98.385192},
    std::pair<double, double>{66.297775, 98.385192},
    std::pair<double, double>{65.252813, 98.385192},
    std::pair<double, double>{64.650558, 98.385192},
    std::pair<double, double>{63.594771, 98.385192},
    std::pair<double, double>{62.970894, 98.385192},
    std::pair<double, double>{61.903427, 98.385192},
    std::pair<double, double>{61.263656, 98.385192},
    std::pair<double, double>{60.186067, 98.385192},
    std::pair<double, double>{59.533056, 98.385192},
    std::pair<double, double>{58.447047, 98.385192},
    std::pair<double, double>{57.783179, 98.385192},
    std::pair<double, double>{56.690003, 98.385192},
    std::pair<double, double>{56.017480, 98.385192},
    std::pair<double, double>{54.919635, 98.385192},
    std::pair<double, double>{54.240158, 98.385192},
    std::pair<double, double>{53.139362, 98.385192},
    std::pair<double, double>{52.454948, 98.385192},
    std::pair<double, double>{51.353604, 98.385192},
    std::pair<double, double>{50.666198, 98.385192},
    std::pair<double, double>{49.565503, 98.385192},
    std::pair<double, double>{48.876663, 98.385192},
    std::pair<double, double>{47.778678, 98.385192},
    std::pair<double, double>{47.090819, 98.385192},
    std::pair<double, double>{45.997135, 98.385192},
    std::pair<double, double>{45.311394, 98.385192},
    std::pair<double, double>{44.223751, 98.385192},
    std::pair<double, double>{43.541698, 98.385192},
    std::pair<double, double>{42.461479, 98.385192},
    std::pair<double, double>{41.784712, 98.385192},
    std::pair<double, double>{40.714163, 98.385192},
    std::pair<double, double>{40.044449, 98.385192},
    std::pair<double, double>{38.984110, 98.385192},
    std::pair<double, double>{38.322704, 98.385192},
    std::pair<double, double>{37.274784, 98.385192},
    std::pair<double, double>{36.623117, 98.385192},
    std::pair<double, double>{35.587579, 98.385192},
    std::pair<double, double>{34.946018, 98.385192},
    std::pair<double, double>{33.925203, 98.385192},
    std::pair<double, double>{33.296416, 98.385192},
    std::pair<double, double>{32.291873, 98.385192},
    std::pair<double, double>{31.676722, 98.385192},
    std::pair<double, double>{30.688588, 98.385192},
    std::pair<double, double>{30.086942, 98.385192},
    std::pair<double, double>{29.116270, 98.385192},
    std::pair<double, double>{28.530187, 98.385192},
    std::pair<double, double>{27.577678, 98.385192},
    std::pair<double, double>{27.007551, 98.385192},
    std::pair<double, double>{26.074533, 98.385192},
    std::pair<double, double>{25.520977, 98.385192},
    std::pair<double, double>{24.608036, 98.385192},
    std::pair<double, double>{24.072380, 98.385192},
    std::pair<double, double>{23.179862, 98.385192},
    std::pair<double, double>{22.661661, 98.385192},
    std::pair<double, double>{21.790144, 98.385192},
    std::pair<double, double>{21.290517, 98.385192},
    std::pair<double, double>{20.440718, 98.385192},
    std::pair<double, double>{19.960601, 98.385192},
    std::pair<double, double>{19.132927, 98.385192},
    std::pair<double, double>{18.671971, 98.385192},
    std::pair<double, double>{17.866248, 98.385192},
    std::pair<double, double>{17.425450, 98.385192},
    std::pair<double, double>{16.642287, 98.385192},
    std::pair<double, double>{16.221550, 98.385192},
    std::pair<double, double>{15.461074, 98.385192},
    std::pair<double, double>{15.060154, 98.385192},
    std::pair<double, double>{14.322124, 98.385192},
    std::pair<double, double>{13.941814, 98.385192},
    std::pair<double, double>{13.226791, 98.385192},
    std::pair<double, double>{12.866453, 98.385192},
    std::pair<double, double>{12.174287, 98.385192},
    std::pair<double, double>{11.834897, 98.385192},
    std::pair<double, double>{11.165122, 98.385192},
    std::pair<double, double>{10.848155, 98.385192},
    std::pair<double, double>{10.207020, 98.385192},
    std::pair<double, double>{9.928939, 98.385192},
    std::pair<double, double>{9.313810, 98.385192},
    std::pair<double, double>{9.058899, 98.385192},
    std::pair<double, double>{8.467515, 98.385192},
    std::pair<double, double>{8.233070, 98.385192},
    std::pair<double, double>{7.665263, 98.385192},
    std::pair<double, double>{7.449949, 98.385192},
    std::pair<double, double>{6.903648, 98.385192},
    std::pair<double, double>{6.706479, 98.385192},
    std::pair<double, double>{6.180337, 98.385192},
    std::pair<double, double>{6.001171, 98.385192},
    std::pair<double, double>{5.494128, 98.385192},
    std::pair<double, double>{5.436577, 98.388491},
    std::pair<double, double>{5.258715, 98.407311},
    std::pair<double, double>{5.125497, 98.446144},
    std::pair<double, double>{4.977379, 98.503904},
    std::pair<double, double>{4.837752, 98.579089},
    std::pair<double, double>{4.711987, 98.670503},
    std::pair<double, double>{4.577199, 98.777158},
    std::pair<double, double>{4.453980, 98.897831},
    std::pair<double, double>{4.330501, 99.031602},
    std::pair<double, double>{4.210589, 99.177600},
    std::pair<double, double>{4.094139, 99.335038},
    std::pair<double, double>{3.979816, 99.503204},
    std::pair<double, double>{3.869228, 99.681429},
    std::pair<double, double>{3.760650, 99.869104},
    std::pair<double, double>{3.654415, 100.065631},
    std::pair<double, double>{3.551007, 100.270463},
    std::pair<double, double>{3.450064, 100.483115},
    std::pair<double, double>{3.351534, 100.703130},
    std::pair<double, double>{3.255427, 100.930087},
    std::pair<double, double>{3.161134, 101.163599},
    std::pair<double, double>{3.069050, 101.403298},
    std::pair<double, double>{2.979342, 101.648835},
    std::pair<double, double>{2.891890, 101.899877},
    std::pair<double, double>{2.806801, 102.156120},
    std::pair<double, double>{2.723327, 102.417278},
    std::pair<double, double>{2.641802, 102.683076},
    std::pair<double, double>{2.562457, 102.953256},
    std::pair<double, double>{2.485225, 103.227572},
    std::pair<double, double>{2.410118, 103.505804},
    std::pair<double, double>{2.336699, 103.787723},
    std::pair<double, double>{2.265114, 104.073105},
    std::pair<double, double>{2.195420, 104.361769},
    std::pair<double, double>{2.127329, 104.653530},
    std::pair<double, double>{2.061539, 104.948189},
    std::pair<double, double>{1.997586, 105.245578},
    std::pair<double, double>{1.934853, 105.545539},
    std::pair<double, double>{1.874178, 105.847900},
    std::pair<double, double>{1.815442, 106.152499},
    std::pair<double, double>{1.758276, 106.459191},
    std::pair<double, double>{1.702923, 106.767837},
    std::pair<double, double>{1.649272, 107.078325},
    std::pair<double, double>{1.596830, 107.390528},
    std::pair<double, double>{1.545864, 107.704289},
    std::pair<double, double>{1.497092, 108.019465},
    std::pair<double, double>{1.449981, 108.335962},
    std::pair<double, double>{1.403815, 108.653695},
    std::pair<double, double>{1.359213, 108.972554},
    std::pair<double, double>{1.316131, 109.292416},
    std::pair<double, double>{1.274705, 109.613166},
    std::pair<double, double>{1.235005, 109.934719},
    std::pair<double, double>{1.196445, 110.257007},
    std::pair<double, double>{1.159129, 110.579921},
    std::pair<double, double>{1.123218, 110.903348},
    std::pair<double, double>{1.088591, 111.227222},
    std::pair<double, double>{1.055378, 111.551480},
    std::pair<double, double>{1.023353, 111.876037},
    std::pair<double, double>{0.992460, 112.200786},
    std::pair<double, double>{0.963322, 112.525632},
    std::pair<double, double>{0.935342, 112.850529},
    std::pair<double, double>{0.908148, 113.175428},
    std::pair<double, double>{0.882294, 113.500253},
    std::pair<double, double>{0.857661, 113.824938},
    std::pair<double, double>{0.834092, 114.149410},
    std::pair<double, double>{0.811650, 114.473597},
    std::pair<double, double>{0.790077, 114.797456},
    std::pair<double, double>{0.769932, 115.120943},
    std::pair<double, double>{0.750722, 115.444004},
    std::pair<double, double>{0.732474, 115.766576},
    std::pair<double, double>{0.715507, 116.088610},
    std::pair<double, double>{0.699023, 116.410063},
    std::pair<double, double>{0.683767, 116.730877},
    std::pair<double, double>{0.669541, 117.051005},
    std::pair<double, double>{0.655612, 117.370414},
    std::pair<double, double>{0.642583, 117.689067},
    std::pair<double, double>{0.630900, 118.006912},
    std::pair<double, double>{0.620363, 118.323926},
    std::pair<double, double>{0.610041, 118.640098},
    std::pair<double, double>{0.600235, 118.955358},
    std::pair<double, double>{0.591761, 119.269642},
    std::pair<double, double>{0.584047, 119.582935},
    std::pair<double, double>{0.576857, 119.895208},
    std::pair<double, double>{0.570614, 120.206428},
    std::pair<double, double>{0.565260, 120.516595},
    std::pair<double, double>{0.560191, 120.825694},
    std::pair<double, double>{0.555420, 121.133667},
    std::pair<double, double>{0.551750, 121.440471},
    std::pair<double, double>{0.548999, 121.746106},
    std::pair<double, double>{0.546520, 122.050562},
    std::pair<double, double>{0.544540, 122.353806},
    std::pair<double, double>{0.543163, 122.655814},
    std::pair<double, double>{0.542594, 122.956579},
    std::pair<double, double>{0.542457, 123.256086},
    std::pair<double, double>{0.542680, 123.554299},
    std::pair<double, double>{0.543616, 123.851203},
    std::pair<double, double>{0.545251, 124.146810},
    std::pair<double, double>{0.546992, 124.441109},
    std::pair<double, double>{0.549190, 124.734054},
    std::pair<double, double>{0.552390, 125.025628},
    std::pair<double, double>{0.555709, 125.315833},
    std::pair<double, double>{0.559313, 125.604653},
    std::pair<double, double>{0.563517, 125.892077},
    std::pair<double, double>{0.568059, 126.178108},
    std::pair<double, double>{0.573046, 126.462752},
    std::pair<double, double>{0.578248, 126.745995},
    std::pair<double, double>{0.583713, 127.027810},
    std::pair<double, double>{0.589989, 127.308176},
    std::pair<double, double>{0.596650, 127.587108},
    std::pair<double, double>{0.603358, 127.864624},
    std::pair<double, double>{0.610274, 128.140713},
    std::pair<double, double>{0.617388, 128.415342},
    std::pair<double, double>{0.625211, 128.688493},
    std::pair<double, double>{0.633430, 128.960192},
    std::pair<double, double>{0.641690, 129.230472},
    std::pair<double, double>{0.649965, 129.499319},
    std::pair<double, double>{0.658571, 129.766697},
    std::pair<double, double>{0.667750, 130.032604},
    std::pair<double, double>{0.676970, 130.297063},
    std::pair<double, double>{0.686233, 130.560079},
    std::pair<double, double>{0.695966, 130.821655},
    std::pair<double, double>{0.706349, 131.081800},
    std::pair<double, double>{0.716508, 131.340520},
    std::pair<double, double>{0.726569, 131.597795},
    std::pair<double, double>{0.737392, 131.853610},
    std::pair<double, double>{0.748139, 132.107993},
    std::pair<double, double>{0.758846, 132.360956},
    std::pair<double, double>{0.769945, 132.612488},
    std::pair<double, double>{0.781059, 132.862589},
    std::pair<double, double>{0.792439, 133.111268},
    std::pair<double, double>{0.803997, 133.358545},
    std::pair<double, double>{0.815757, 133.604425},
    std::pair<double, double>{0.827351, 133.848906},
    std::pair<double, double>{0.839173, 134.092002},
    std::pair<double, double>{0.851356, 134.333734},
    std::pair<double, double>{0.863440, 134.574110},
    std::pair<double, double>{0.875526, 134.813115},
    std::pair<double, double>{0.887798, 135.050737},
    std::pair<double, double>{0.900467, 135.286991},
    std::pair<double, double>{0.913169, 135.521897},
    std::pair<double, double>{0.925864, 135.755462},
    std::pair<double, double>{0.938533, 135.987701},
    std::pair<double, double>{0.951179, 136.218620},
    std::pair<double, double>{0.964293, 136.448206},
    std::pair<double, double>{0.977624, 136.676471},
    std::pair<double, double>{0.990640, 136.903439},
    std::pair<double, double>{1.003606, 137.129120},
    std::pair<double, double>{1.016744, 137.353517},
    std::pair<double, double>{1.030006, 137.576623},
    std::pair<double, double>{1.043579, 137.798441},
    std::pair<double, double>{1.057333, 138.018999},
    std::pair<double, double>{1.070744, 138.238327},
    std::pair<double, double>{1.083969, 138.456423},
    std::pair<double, double>{1.097437, 138.673284},
    std::pair<double, double>{1.111114, 138.888919},
    std::pair<double, double>{1.124766, 139.103340},
    std::pair<double, double>{1.138317, 139.316560},
    std::pair<double, double>{1.152162, 139.528587},
    std::pair<double, double>{1.166176, 139.739428},
    std::pair<double, double>{1.179705, 139.949093},
    std::pair<double, double>{1.193313, 140.157584},
    std::pair<double, double>{1.207351, 140.364912},
    std::pair<double, double>{1.221286, 140.571082},
    std::pair<double, double>{1.235163, 140.776098}
};
constexpr std::array<std::pair<double, double>, cycleEntries> fineVentricleRVLoop{
    std::pair<double, double>{0.345124, 157.081735},
    std::pair<double, double>{0.358837, 157.243633},
    std::pair<double, double>{0.372837, 157.404754},
    std::pair<double, double>{0.386921, 157.565079},
    std::pair<double, double>{0.401289, 157.724607},
    std::pair<double, double>{0.415629, 157.883366},
    std::pair<double, double>{0.429443, 158.041360},
    std::pair<double, double>{0.443695, 158.198583},
    std::pair<double, double>{0.457521, 158.355046},
    std::pair<double, double>{0.471247, 158.510727},
    std::pair<double, double>{0.485635, 158.665633},
    std::pair<double, double>{0.499619, 158.819805},
    std::pair<double, double>{0.513266, 158.973222},
    std::pair<double, double>{0.527043, 159.125878},
    std::pair<double, double>{0.541135, 159.277832},
    std::pair<double, double>{0.555380, 159.429125},
    std::pair<double, double>{0.569235, 159.579766},
    std::pair<double, double>{0.583354, 159.729782},
    std::pair<double, double>{0.598428, 159.879273},
    std::pair<double, double>{0.613649, 160.028386},
    std::pair<double, double>{0.629015, 160.177227},
    std::pair<double, double>{0.645134, 160.325930},
    std::pair<double, double>{0.661870, 160.474731},
    std::pair<double, double>{0.679549, 160.623888},
    std::pair<double, double>{0.698226, 160.773669},
    std::pair<double, double>{0.717821, 160.924432},
    std::pair<double, double>{0.738957, 161.076603},
    std::pair<double, double>{0.761654, 161.230740},
    std::pair<double, double>{0.785775, 161.387504},
    std::pair<double, double>{0.811697, 161.547602},
    std::pair<double, double>{0.839927, 161.711871},
    std::pair<double, double>{0.870600, 161.881280},
    std::pair<double, double>{0.903968, 162.056859},
    std::pair<double, double>{0.938727, 162.239651},
    std::pair<double, double>{0.975790, 162.430678},
    std::pair<double, double>{1.015390, 162.630926},
    std::pair<double, double>{1.056475, 162.841316},
    std::pair<double, double>{1.100348, 163.062796},
    std::pair<double, double>{1.146483, 163.296411},
    std::pair<double, double>{1.194409, 163.543118},
    std::pair<double, double>{1.245770, 163.803816},
    std::pair<double, double>{1.300645, 164.079547},
    std::pair<double, double>{1.358429, 164.371447},
    std::pair<double, double>{1.419228, 164.680551},
    std::pair<double, double>{1.482281, 165.007650},
    std::pair<double, double>{1.548062, 165.353249},
    std::pair<double, double>{1.617925, 165.717693},
    std::pair<double, double>{1.690802, 166.101172},
    std::pair<double, double>{1.765859, 166.503558},
    std::pair<double, double>{1.843841, 166.924417},
    std::pair<double, double>{1.923157, 167.363061},
    std::pair<double, double>{2.004632, 167.818701},
    std::pair<double, double>{2.089287, 168.290788},
    std::pair<double, double>{2.175284, 168.778948},
    std::pair<double, double>{2.261298, 169.282656},
    std::pair<double, double>{2.347872, 169.801256},
    std::pair<double, double>{2.437180, 170.334421},
    std::pair<double, double>{2.525268, 170.882224},
    std::pair<double, double>{2.611917, 171.444589},
    std::pair<double, double>{2.699841, 172.021300},
    std::pair<double, double>{2.787438, 172.612241},
    std::pair<double, double>{2.874442, 173.217354},
    std::pair<double, double>{2.960480, 173.836531},
    std::pair<double, double>{3.044752, 174.469510},
    std::pair<double, double>{3.128739, 175.115934},
    std::pair<double, double>{3.212526, 175.775452},
    std::pair<double, double>{3.292513, 176.447638},
    std::pair<double, double>{3.369851, 177.131897},
    std::pair<double, double>{3.446198, 177.827609},
    std::pair<double, double>{3.520410, 178.534173},
    std::pair<double, double>{3.592482, 179.250775},
    std::pair<double, double>{3.660887, 179.976281},
    std::pair<double, double>{3.724939, 180.709363},
    std::pair<double, double>{3.786437, 181.448739},
    std::pair<double, double>{3.845789, 182.193238},
    std::pair<double, double>{3.902132, 182.941571},
    std::pair<double, double>{3.953154, 183.692292},
    std::pair<double, double>{4.001434, 184.443881},
    std::pair<double, double>{4.047039, 185.194755},
    std::pair<double, double>{4.086844, 185.943297},
    std::pair<double, double>{4.124286, 186.687999},
    std::pair<double, double>{4.158971, 187.427466},
    std::pair<double, double>{4.189543, 188.160214},
    std::pair<double, double>{4.217043, 188.884711},
    std::pair<double, double>{4.241251, 189.599615},
    std::pair<double, double>{4.263684, 190.303815},
    std::pair<double, double>{4.283076, 190.996278},
    std::pair<double, double>{4.300423, 191.676003},
    std::pair<double, double>{4.318812, 192.342221},
    std::pair<double, double>{4.334030, 192.994483},
    std::pair<double, double>{4.345900, 193.632384},
    std::pair<double, double>{4.357448, 194.255472},
    std::pair<double, double>{4.368424, 194.863425},
    std::pair<double, double>{4.376897, 195.456163},
    std::pair<double, double>{4.383238, 196.033641},
    std::pair<double, double>{4.388179, 196.595601},
    std::pair<double, double>{4.389573, 197.141764},
    std::pair<double, double>{4.390065, 197.671889},
    std::pair<double, double>{4.388104, 198.185901},
    std::pair<double, double>{4.383909, 198.683784},
    std::pair<double, double>{4.378690, 199.165386},
    std::pair<double, double>{4.371003, 199.630626},
    std::pair<double, double>{4.363783, 200.079536},
    std::pair<double, double>{4.355116, 200.512264},
    std::pair<double, double>{4.343709, 200.928951},
    std::pair<double, double>{4.330204, 201.329670},
    std::pair<double, double>{4.316673, 201.714525},
    std::pair<double, double>{4.302319, 202.083790},
    std::pair<double, double>{4.285991, 202.437845},
    std::pair<double, double>{4.269631, 202.777071},
    std::pair<double, double>{4.252361, 203.101934},
    std::pair<double, double>{4.233802, 203.412892},
    std::pair<double, double>{4.214180, 203.710410},
    std::pair<double, double>{4.194926, 203.995045},
    std::pair<double, double>{4.174491, 204.267410},
    std::pair<double, double>{4.152789, 204.528077},
    std::pair<double, double>{4.131943, 204.777580},
    std::pair<double, double>{4.110314, 205.016570},
    std::pair<double, double>{4.088497, 205.245657},
    std::pair<double, double>{4.066838, 205.465283},
    std::pair<double, double>{4.044026, 205.675965},
    std::pair<double, double>{4.020453, 205.878232},
    std::pair<double, double>{3.996637, 206.072515},
    std::pair<double, double>{3.973150, 206.259277},
    std::pair<double, double>{3.949269, 206.439044},
    std::pair<double, double>{3.924165, 206.612278},
    std::pair<double, double>{3.898518, 206.779356},
    std::pair<double, double>{3.874174, 206.940561},
    std::pair<double, double>{3.850015, 207.096172},
    std::pair<double, double>{3.824663, 207.246535},
    std::pair<double, double>{3.799824, 207.391926},
    std::pair<double, double>{3.774662, 207.532651},
    std::pair<double, double>{3.749845, 207.669024},
    std::pair<double, double>{3.724585, 207.801250},
    std::pair<double, double>{3.698917, 207.929473},
    std::pair<double, double>{3.674802, 208.053842},
    std::pair<double, double>{3.649747, 208.174608},
    std::pair<double, double>{3.624917, 208.291964},
    std::pair<double, double>{3.601477, 208.406018},
    std::pair<double, double>{3.577618, 208.516915},
    std::pair<double, double>{3.553382, 208.624820},
    std::pair<double, double>{3.529943, 208.729847},
    std::pair<double, double>{3.506768, 208.832076},
    std::pair<double, double>{3.483525, 208.931554},
    std::pair<double, double>{3.460677, 209.028334},
    std::pair<double, double>{3.438419, 209.122485},
    std::pair<double, double>{3.416768, 209.214118},
    std::pair<double, double>{3.394971, 209.303352},
    std::pair<double, double>{3.373328, 209.390212},
    std::pair<double, double>{3.352184, 209.474719},
    std::pair<double, double>{3.331747, 209.556962},
    std::pair<double, double>{3.311667, 209.637032},
    std::pair<double, double>{3.291967, 209.714971},
    std::pair<double, double>{3.272362, 209.790783},
    std::pair<double, double>{3.252590, 209.864486},
    std::pair<double, double>{3.233926, 209.936141},
    std::pair<double, double>{3.215303, 210.005816},
    std::pair<double, double>{3.196868, 210.073529},
    std::pair<double, double>{3.179246, 210.139317},
    std::pair<double, double>{3.161442, 210.203252},
    std::pair<double, double>{3.143627, 210.265380},
    std::pair<double, double>{3.126574, 210.325693},
    std::pair<double, double>{3.110231, 210.384172},
    std::pair<double, double>{3.093950, 210.440843},
    std::pair<double, double>{3.077780, 210.495766},
    std::pair<double, double>{3.062009, 210.548999},
    std::pair<double, double>{3.046571, 210.600566},
    std::pair<double, double>{3.031158, 210.650463},
    std::pair<double, double>{3.016582, 210.698668},
    std::pair<double, double>{3.002603, 210.745199},
    std::pair<double, double>{2.988472, 210.790112},
    std::pair<double, double>{2.974274, 210.833438},
    std::pair<double, double>{2.960487, 210.875177},
    std::pair<double, double>{2.947131, 210.915350},
    std::pair<double, double>{2.934007, 210.953986},
    std::pair<double, double>{2.921082, 210.991109},
    std::pair<double, double>{2.908361, 211.026741},
    std::pair<double, double>{2.896053, 211.060882},
    std::pair<double, double>{2.884297, 211.093516},
    std::pair<double, double>{2.872792, 211.124677},
    std::pair<double, double>{2.860861, 211.154434},
    std::pair<double, double>{2.849232, 211.182795},
    std::pair<double, double>{2.838268, 211.209730},
    std::pair<double, double>{2.827619, 211.235243},
    std::pair<double, double>{2.817312, 211.259353},
    std::pair<double, double>{2.807001, 211.282068},
    std::pair<double, double>{2.796876, 211.303402},
    std::pair<double, double>{2.787125, 211.323386},
    std::pair<double, double>{2.777380, 211.342061},
    std::pair<double, double>{2.767949, 211.359423},
    std::pair<double, double>{2.758692, 211.375449},
    std::pair<double, double>{2.749590, 211.390136},
    std::pair<double, double>{2.740807, 211.403532},
    std::pair<double, double>{2.732480, 211.415659},
    std::pair<double, double>{2.724493, 211.426507},
    std::pair<double, double>{2.716301, 211.436088},
    std::pair<double, double>{2.708429, 211.444407},
    std::pair<double, double>{2.700927, 211.451474},
    std::pair<double, double>{2.693879, 211.457286},
    std::pair<double, double>{2.687022, 211.461841},
    std::pair<double, double>{2.680349, 211.465156},
    std::pair<double, double>{2.674035, 211.467231},
    std::pair<double, double>{2.667693, 211.468057},
    std::pair<double, double>{2.665516, 211.468057},
    std::pair<double, double>{2.663433, 211.468057},
    std::pair<double, double>{2.657877, 211.468057},
    std::pair<double, double>{2.660692, 211.468057},
    std::pair<double, double>{2.653391, 211.468057},
    std::pair<double, double>{2.658683, 211.468057},
    std::pair<double, double>{2.651838, 211.468057},
    std::pair<double, double>{2.658759, 211.468057},
    std::pair<double, double>{2.653137, 211.468057},
    std::pair<double, double>{2.661429, 211.468057},
    std::pair<double, double>{2.657269, 211.468057},
    std::pair<double, double>{2.667692, 211.468057},
    std::pair<double, double>{2.665267, 211.468057},
    std::pair<double, double>{2.677631, 211.468057},
    std::pair<double, double>{2.677466, 211.468057},
    std::pair<double, double>{2.692324, 211.468057},
    std::pair<double, double>{2.694547, 211.468057},
    std::pair<double, double>{2.711822, 211.468057},
    std::pair<double, double>{2.726055, 211.468057},
    std::pair<double, double>{2.741987, 211.468057},
    std::pair<double, double>{2.764079, 211.468057},
    std::pair<double, double>{2.784975, 211.468057},
    std::pair<double, double>{2.812859, 211.468057},
    std::pair<double, double>{2.839066, 211.468057},
    std::pair<double, double>{2.871187, 211.468057},
    std::pair<double, double>{2.903391, 211.468057},
    std::pair<double, double>{2.942009, 211.468057},
    std::pair<double, double>{2.980112, 211.468057},
    std::pair<double, double>{3.024803, 211.468057},
    std::pair<double, double>{3.069931, 211.468057},
    std::pair<double, double>{3.121767, 211.468057},
    std::pair<double, double>{3.174416, 211.468057},
    std::pair<double, double>{3.233191, 211.468057},
    std::pair<double, double>{3.294026, 211.468057},
    std::pair<double, double>{3.360816, 211.468057},
    std::pair<double, double>{3.429864, 211.468057},
    std::pair<double, double>{3.505636, 211.468057},
    std::pair<double, double>{3.583292, 211.468057},
    std::pair<double, double>{3.667392, 211.468057},
    std::pair<double, double>{3.754687, 211.468057},
    std::pair<double, double>{3.848497, 211.468057},
    std::pair<double, double>{3.945744, 211.468057},
    std::pair<double, double>{4.050591, 211.468057},
    std::pair<double, double>{4.158015, 211.468057},
    std::pair<double, double>{4.273526, 211.468057},
    std::pair<double, double>{4.392627, 211.468057},
    std::pair<double, double>{4.518994, 211.468057},
    std::pair<double, double>{4.650278, 211.468057},
    std::pair<double, double>{4.789038, 211.468057},
    std::pair<double, double>{4.932800, 211.468057},
    std::pair<double, double>{5.084992, 211.468057},
    std::pair<double, double>{5.243250, 211.468057},
    std::pair<double, double>{5.409062, 211.468057},
    std::pair<double, double>{5.580740, 211.468057},
    std::pair<double, double>{5.760850, 211.468057},
    std::pair<double, double>{5.946906, 211.468057},
    std::pair<double, double>{6.142259, 211.468057},
    std::pair<double, double>{6.344739, 211.468057},
    std::pair<double, double>{6.555789, 211.468057},
    std::pair<double, double>{6.774280, 211.468057},
    std::pair<double, double>{7.002739, 211.468057},
    std::pair<double, double>{7.238984, 211.468057},
    std::pair<double, double>{7.483504, 211.468057},
    std::pair<double, double>{7.736653, 211.468057},
    std::pair<double, double>{8.000832, 211.468057},
    std::pair<double, double>{8.274687, 211.468057},
    std::pair<double, double>{8.558388, 211.468057},
    std::pair<double, double>{8.850918, 211.468057},
    std::pair<double, double>{9.153810, 211.468057},
    std::pair<double, double>{9.467293, 211.468057},
    std::pair<double, double>{9.792367, 211.468057},
    std::pair<double, double>{10.127369, 211.468057},
    std::pair<double, double>{10.473423, 211.468057},
    std::pair<double, double>{10.830785, 211.468057},
    std::pair<double, double>{11.199773, 211.468057},
    std::pair<double, double>{11.579949, 211.468057},
    std::pair<double, double>{11.971915, 211.468057},
    std::pair<double, double>{12.312998, 211.464297},
    std::pair<double, double>{12.605163, 211.447570},
    std::pair<double, double>{12.966742, 211.414919},
    std::pair<double, double>{13.279771, 211.368520},
    std::pair<double, double>{13.613651, 211.307530},
    std::pair<double, double>{13.946914, 211.232037},
    std::pair<double, double>{14.275896, 211.142290},
    std::pair<double, double>{14.610005, 211.038130},
    std::pair<double, double>{14.940421, 210.919778},
    std::pair<double, double>{15.271523, 210.787267},
    std::pair<double, double>{15.600861, 210.640733},
    std::pair<double, double>{15.929034, 210.480288},
    std::pair<double, double>{16.257020, 210.305999},
    std::pair<double, double>{16.582782, 210.118023},
    std::pair<double, double>{16.905511, 209.916551},
    std::pair<double, double>{17.225937, 209.701739},
    std::pair<double, double>{17.526535, 209.474504},
    std::pair<double, double>{17.788389, 209.236582},
    std::pair<double, double>{18.049264, 208.988059},
    std::pair<double, double>{18.304609, 208.729221},
    std::pair<double, double>{18.546233, 208.460706},
    std::pair<double, double>{18.785219, 208.182670},
    std::pair<double, double>{19.015807, 207.895517},
    std::pair<double, double>{19.239467, 207.599586},
    std::pair<double, double>{19.457748, 207.295147},
    std::pair<double, double>{19.669951, 206.982499},
    std::pair<double, double>{19.876188, 206.661935},
    std::pair<double, double>{20.076996, 206.333724},
    std::pair<double, double>{20.272863, 205.998111},
    std::pair<double, double>{20.463372, 205.655360},
    std::pair<double, double>{20.648938, 205.305714},
    std::pair<double, double>{20.830291, 204.949384},
    std::pair<double, double>{21.007092, 204.586595},
    std::pair<double, double>{21.179046, 204.217583},
    std::pair<double, double>{21.347097, 203.842543},
    std::pair<double, double>{21.511391, 203.461663},
    std::pair<double, double>{21.671845, 203.075131},
    std::pair<double, double>{21.828578, 202.683133},
    std::pair<double, double>{21.980948, 202.285880},
    std::pair<double, double>{22.130192, 201.883526},
    std::pair<double, double>{22.276169, 201.476236},
    std::pair<double, double>{22.418176, 201.064199},
    std::pair<double, double>{22.557341, 200.647558},
    std::pair<double, double>{22.693216, 200.226473},
    std::pair<double, double>{22.826056, 199.801094},
    std::pair<double, double>{22.956150, 199.371556},
    std::pair<double, double>{23.083201, 198.938006},
    std::pair<double, double>{23.207451, 198.500581},
    std::pair<double, double>{23.328332, 198.059442},
    std::pair<double, double>{23.447428, 197.614680},
    std::pair<double, double>{23.564585, 197.166394},
    std::pair<double, double>{23.677601, 196.714774},
    std::pair<double, double>{23.788373, 196.259931},
    std::pair<double, double>{23.897450, 195.801951},
    std::pair<double, double>{24.004044, 195.340951},
    std::pair<double, double>{24.107943, 194.877059},
    std::pair<double, double>{24.208865, 194.410416},
    std::pair<double, double>{24.307552, 193.941126},
    std::pair<double, double>{24.404514, 193.469275},
    std::pair<double, double>{24.499693, 192.994948},
    std::pair<double, double>{24.592316, 192.518263},
    std::pair<double, double>{24.682607, 192.039331},
    std::pair<double, double>{24.770462, 191.558264},
    std::pair<double, double>{24.856100, 191.075165},
    std::pair<double, double>{24.940330, 190.590101},
    std::pair<double, double>{25.022628, 190.103162},
    std::pair<double, double>{25.102442, 189.614461},
    std::pair<double, double>{25.180205, 189.124093},
    std::pair<double, double>{25.256391, 188.632130},
    std::pair<double, double>{25.330992, 188.138645},
    std::pair<double, double>{25.403836, 187.643720},
    std::pair<double, double>{25.473856, 187.147479},
    std::pair<double, double>{25.541738, 186.650019},
    std::pair<double, double>{25.608420, 186.151395},
    std::pair<double, double>{25.673445, 185.651681},
    std::pair<double, double>{25.736648, 185.150957},
    std::pair<double, double>{25.797813, 184.649315},
    std::pair<double, double>{25.857211, 184.146831},
    std::pair<double, double>{25.915069, 183.643575},
    std::pair<double, double>{25.971023, 183.139629},
    std::pair<double, double>{26.024982, 182.635080},
    std::pair<double, double>{26.076979, 182.130014},
    std::pair<double, double>{26.127779, 181.624481},
    std::pair<double, double>{26.178207, 181.118497},
    std::pair<double, double>{26.226577, 180.612152},
    std::pair<double, double>{26.271544, 180.105591},
    std::pair<double, double>{26.315443, 179.598859},
    std::pair<double, double>{26.358206, 179.092003},
    std::pair<double, double>{26.398927, 178.585110},
    std::pair<double, double>{26.438620, 178.078223},
    std::pair<double, double>{26.476831, 177.571402},
    std::pair<double, double>{26.513180, 177.064726},
    std::pair<double, double>{26.547757, 176.558269},
    std::pair<double, double>{26.580795, 176.052092},
    std::pair<double, double>{26.612431, 175.546254},
    std::pair<double, double>{26.642864, 175.040803},
    std::pair<double, double>{26.671585, 174.535808},
    std::pair<double, double>{26.698436, 174.031346},
    std::pair<double, double>{26.724026, 173.527468},
    std::pair<double, double>{26.747662, 173.024251},
    std::pair<double, double>{26.769499, 172.521770},
    std::pair<double, double>{26.790737, 172.020045},
    std::pair<double, double>{26.810934, 171.519114},
    std::pair<double, double>{26.829370, 171.019049},
    std::pair<double, double>{26.845405, 170.519946},
    std::pair<double, double>{26.860378, 170.021846},
    std::pair<double, double>{26.874886, 169.524762},
    std::pair<double, double>{26.887184, 169.028782},
    std::pair<double, double>{26.897920, 168.533968},
    std::pair<double, double>{26.907667, 168.040354},
    std::pair<double, double>{26.916317, 167.547981},
    std::pair<double, double>{26.923719, 167.056894},
    std::pair<double, double>{26.929719, 166.567148},
    std::pair<double, double>{26.934287, 166.078794},
    std::pair<double, double>{26.937553, 165.591883},
    std::pair<double, double>{26.939367, 165.106467},
    std::pair<double, double>{26.939534, 164.622609},
    std::pair<double, double>{26.938653, 164.140347},
    std::pair<double, double>{26.937293, 163.659691},
    std::pair<double, double>{26.934974, 163.180673},
    std::pair<double, double>{26.930457, 162.703380},
    std::pair<double, double>{26.924290, 162.227873},
    std::pair<double, double>{26.917357, 161.754176},
    std::pair<double, double>{26.909347, 161.282325},
    std::pair<double, double>{26.900450, 160.812348},
    std::pair<double, double>{26.890856, 160.344265},
    std::pair<double, double>{26.880122, 159.878116},
    std::pair<double, double>{26.867982, 159.413950},
    std::pair<double, double>{26.854364, 158.951821},
    std::pair<double, double>{26.839882, 158.491756},
    std::pair<double, double>{26.824760, 158.033771},
    std::pair<double, double>{26.808054, 157.577923},
    std::pair<double, double>{26.789962, 157.124262},
    std::pair<double, double>{26.771531, 156.672790},
    std::pair<double, double>{26.752223, 156.223534},
    std::pair<double, double>{26.731988, 155.776523},
    std::pair<double, double>{26.711474, 155.331757},
    std::pair<double, double>{26.689291, 154.889296},
    std::pair<double, double>{26.665459, 154.449200},
    std::pair<double, double>{26.641553, 154.011460},
    std::pair<double, double>{26.617022, 153.576091},
    std::pair<double, double>{26.591270, 153.143134},
    std::pair<double, double>{26.564751, 152.712610},
    std::pair<double, double>{26.537510, 152.284536},
    std::pair<double, double>{26.509464, 151.858937},
    std::pair<double, double>{26.481044, 151.435815},
    std::pair<double, double>{26.451383, 151.015212},
    std::pair<double, double>{26.419845, 150.597197},
    std::pair<double, double>{26.388390, 150.181752},
    std::pair<double, double>{26.356586, 149.768880},
    std::pair<double, double>{26.323499, 149.358624},
    std::pair<double, double>{26.289604, 148.951006},
    std::pair<double, double>{26.254539, 148.546063},
    std::pair<double, double>{26.219664, 148.143774},
    std::pair<double, double>{26.184739, 147.744128},
    std::pair<double, double>{26.148136, 147.347184},
    std::pair<double, double>{26.110705, 146.952966},
    std::pair<double, double>{26.072913, 146.561475},
    std::pair<double, double>{26.033990, 146.172747},
    std::pair<double, double>{25.994434, 145.786795},
    std::pair<double, double>{25.955170, 145.403595},
    std::pair<double, double>{25.915147, 145.023165},
    std::pair<double, double>{25.873617, 144.645557},
    std::pair<double, double>{25.831627, 144.270777},
    std::pair<double, double>{25.789383, 143.898823},
    std::pair<double, double>{25.746466, 143.529709},
    std::pair<double, double>{25.702652, 143.163463},
    std::pair<double, double>{25.658480, 142.800084},
    std::pair<double, double>{25.614263, 142.439562},
    std::pair<double, double>{25.569461, 142.081908},
    std::pair<double, double>{25.523559, 141.727155},
    std::pair<double, double>{25.476925, 141.375323},
    std::pair<double, double>{25.430133, 141.026403},
    std::pair<double, double>{25.383441, 140.680377},
    std::pair<double, double>{25.336756, 140.337233},
    std::pair<double, double>{25.288616, 139.997018},
    std::pair<double, double>{25.239443, 139.659764},
    std::pair<double, double>{25.190349, 139.325453},
    std::pair<double, double>{25.141012, 138.994083},
    std::pair<double, double>{25.091142, 138.665662},
    std::pair<double, double>{25.040189, 138.340224},
    std::pair<double, double>{24.988457, 138.017788},
    std::pair<double, double>{24.936629, 137.698345},
    std::pair<double, double>{24.884724, 137.381883},
    std::pair<double, double>{24.832784, 137.068392},
    std::pair<double, double>{24.780046, 136.757890},
    std::pair<double, double>{24.726377, 136.450405},
    std::pair<double, double>{24.672467, 136.145934},
    std::pair<double, double>{24.618070, 135.844483},
    std::pair<double, double>{24.563655, 135.546039},
    std::pair<double, double>{24.509132, 135.250593},
    std::pair<double, double>{24.453702, 134.958171},
    std::pair<double, double>{24.397753, 134.668782},
    std::pair<double, double>{24.341808, 134.382410},
    std::pair<double, double>{24.285302, 134.099068},
    std::pair<double, double>{24.228045, 133.818772},
    std::pair<double, double>{24.170450, 133.541525},
    std::pair<double, double>{24.112299, 133.267337},
    std::pair<double, double>{24.053854, 132.996206},
    std::pair<double, double>{23.995281, 132.728124},
    std::pair<double, double>{23.936094, 132.463103},
    std::pair<double, double>{23.876500, 132.201149},
    std::pair<double, double>{23.816715, 131.942254},
    std::pair<double, double>{23.756141, 131.686440},
    std::pair<double, double>{23.695090, 131.433714},
    std::pair<double, double>{23.633662, 131.184077},
    std::pair<double, double>{23.571734, 130.937538},
    std::pair<double, double>{23.509961, 130.694076},
    std::pair<double, double>{23.447674, 130.453700},
    std::pair<double, double>{23.384311, 130.216443},
    std::pair<double, double>{23.320585, 129.982306},
    std::pair<double, double>{23.256721, 129.751281},
    std::pair<double, double>{23.192486, 129.523372},
    std::pair<double, double>{23.127981, 129.298575},
    std::pair<double, double>{23.063444, 129.076879},
    std::pair<double, double>{22.998053, 128.858307},
    std::pair<double, double>{22.931807, 128.642882},
    std::pair<double, double>{22.865411, 128.430597},
    std::pair<double, double>{22.798759, 128.221449},
    std::pair<double, double>{22.731808, 128.015437},
    std::pair<double, double>{22.663976, 127.812586},
    std::pair<double, double>{22.595257, 127.612921},
    std::pair<double, double>{22.526484, 127.416430},
    std::pair<double, double>{22.457426, 127.223112},
    std::pair<double, double>{22.387644, 127.032983},
    std::pair<double, double>{22.317197, 126.846060},
    std::pair<double, double>{22.246317, 126.662347},
    std::pair<double, double>{22.175413, 126.481832},
    std::pair<double, double>{22.104178, 126.304514},
    std::pair<double, double>{22.031854, 126.130428},
    std::pair<double, double>{21.958939, 125.959585},
    std::pair<double, double>{21.885507, 125.791993},
    std::pair<double, double>{21.811249, 125.627675},
    std::pair<double, double>{21.736763, 125.466626},
    std::pair<double, double>{21.661993, 125.308845},
    std::pair<double, double>{21.586653, 125.154343},
    std::pair<double, double>{21.510663, 125.003133},
    std::pair<double, double>{21.433831, 124.855239},
    std::pair<double, double>{21.356651, 124.710661},
    std::pair<double, double>{21.279158, 124.569398},
    std::pair<double, double>{21.200659, 124.431482},
    std::pair<double, double>{21.121260, 124.296935},
    std::pair<double, double>{21.041611, 124.165756},
    std::pair<double, double>{20.961776, 124.037937},
    std::pair<double, double>{20.881069, 123.913504},
    std::pair<double, double>{20.799688, 123.792469},
    std::pair<double, double>{20.708811, 123.675232},
    std::pair<double, double>{20.614858, 123.561910},
    std::pair<double, double>{20.520032, 123.452524},
    std::pair<double, double>{20.422957, 123.347156},
    std::pair<double, double>{20.324858, 123.245833},
    std::pair<double, double>{20.225132, 123.148608},
    std::pair<double, double>{20.124244, 123.055515},
    std::pair<double, double>{20.021845, 122.966602},
    std::pair<double, double>{19.917987, 122.881915},
    std::pair<double, double>{19.813048, 122.801484},
    std::pair<double, double>{19.707054, 122.725336},
    std::pair<double, double>{19.599864, 122.653506},
    std::pair<double, double>{19.491479, 122.586027},
    std::pair<double, double>{19.382158, 122.522922},
    std::pair<double, double>{19.271656, 122.464225},
    std::pair<double, double>{19.159990, 122.409967},
    std::pair<double, double>{19.047538, 122.360164},
    std::pair<double, double>{18.934155, 122.314838},
    std::pair<double, double>{18.819823, 122.274012},
    std::pair<double, double>{18.704509, 122.237711},
    std::pair<double, double>{18.595542, 122.204857},
    std::pair<double, double>{18.476711, 122.176032},
    std::pair<double, double>{18.359173, 122.151907},
    std::pair<double, double>{18.247722, 122.133340},
    std::pair<double, double>{18.105097, 122.120391},
    std::pair<double, double>{17.990812, 122.111806},
    std::pair<double, double>{17.873461, 122.107702},
    std::pair<double, double>{17.723957, 122.107702},
    std::pair<double, double>{17.489011, 122.107702},
    std::pair<double, double>{17.388901, 122.107702},
    std::pair<double, double>{17.106762, 122.107702},
    std::pair<double, double>{17.017008, 122.107702},
    std::pair<double, double>{16.714063, 122.107702},
    std::pair<double, double>{16.622603, 122.107702},
    std::pair<double, double>{16.306456, 122.107702},
    std::pair<double, double>{16.209078, 122.107702},
    std::pair<double, double>{15.883374, 122.107702},
    std::pair<double, double>{15.778963, 122.107702},
    std::pair<double, double>{15.446107, 122.107702},
    std::pair<double, double>{15.335019, 122.107702},
    std::pair<double, double>{14.996077, 122.107702},
    std::pair<double, double>{14.878842, 122.107702},
    std::pair<double, double>{14.534682, 122.107702},
    std::pair<double, double>{14.412025, 122.107702},
    std::pair<double, double>{14.063747, 122.107702},
    std::pair<double, double>{13.936036, 122.107702},
    std::pair<double, double>{13.583690, 122.107702},
    std::pair<double, double>{13.452205, 122.107702},
    std::pair<double, double>{13.097710, 122.107702},
    std::pair<double, double>{12.962576, 122.107702},
    std::pair<double, double>{12.606060, 122.107702},
    std::pair<double, double>{12.467995, 122.107702},
    std::pair<double, double>{12.109463, 122.107702},
    std::pair<double, double>{11.969408, 122.107702},
    std::pair<double, double>{11.610223, 122.107702},
    std::pair<double, double>{11.468072, 122.107702},
    std::pair<double, double>{11.108698, 122.107702},
    std::pair<double, double>{10.965789, 122.107702},
    std::pair<double, double>{10.606667, 122.107702},
    std::pair<double, double>{10.463433, 122.107702},
    std::pair<double, double>{10.105190, 122.107702},
    std::pair<double, double>{9.961759, 122.107702},
    std::pair<double, double>{9.604717, 122.107702},
    std::pair<double, double>{9.462406, 122.107702},
    std::pair<double, double>{9.107271, 122.107702},
    std::pair<double, double>{8.965386, 122.107702},
    std::pair<double, double>{8.612751, 122.107702},
    std::pair<double, double>{8.472520, 122.107702},
    std::pair<double, double>{8.122480, 122.107702},
    std::pair<double, double>{7.983821, 122.107702},
    std::pair<double, double>{7.637187, 122.107702},
    std::pair<double, double>{7.500647, 122.107702},
    std::pair<double, double>{7.157275, 122.107702},
    std::pair<double, double>{7.023538, 122.107702},
    std::pair<double, double>{6.683882, 122.107702},
    std::pair<double, double>{6.553347, 122.107702},
    std::pair<double, double>{6.218757, 122.107702},
    std::pair<double, double>{6.090938, 122.107702},
    std::pair<double, double>{5.759980, 122.107702},
    std::pair<double, double>{5.635713, 122.107702},
    std::pair<double, double>{5.308967, 122.107702},
    std::pair<double, double>{5.188667, 122.107702},
    std::pair<double, double>{4.867587, 122.107702},
    std::pair<double, double>{4.751084, 122.107702},
    std::pair<double, double>{4.434816, 122.107702},
    std::pair<double, double>{4.323423, 122.107702},
    std::pair<double, double>{4.012520, 122.107702},
    std::pair<double, double>{3.904992, 122.107702},
    std::pair<double, double>{3.599695, 122.107702},
    std::pair<double, double>{3.496184, 122.107702},
    std::pair<double, double>{3.196295, 122.107702},
    std::pair<double, double>{3.097867, 122.107702},
    std::pair<double, double>{2.804189, 122.107702},
    std::pair<double, double>{2.710712, 122.107702},
    std::pair<double, double>{2.422291, 122.107702},
    std::pair<double, double>{2.333371, 122.107702},
    std::pair<double, double>{2.050934, 122.107702},
    std::pair<double, double>{1.967354, 122.107702},
    std::pair<double, double>{1.715208, 122.108882},
    std::pair<double, double>{1.677646, 122.114073},
    std::pair<double, double>{1.568039, 122.131279},
    std::pair<double, double>{1.494411, 122.163017},
    std::pair<double, double>{1.408702, 122.208341},
    std::pair<double, double>{1.327023, 122.266470},
    std::pair<double, double>{1.251729, 122.336907},
    std::pair<double, double>{1.170206, 122.419082},
    std::pair<double, double>{1.097123, 122.512120},
    std::pair<double, double>{1.022407, 122.615428},
    std::pair<double, double>{0.950884, 122.728436},
    std::pair<double, double>{0.880207, 122.850614},
    std::pair<double, double>{0.810898, 122.981437},
    std::pair<double, double>{0.743640, 123.120421},
    std::pair<double, double>{0.680077, 123.266908},
    std::pair<double, double>{0.626090, 123.419463},
    std::pair<double, double>{0.570334, 123.577096},
    std::pair<double, double>{0.519892, 123.739369},
    std::pair<double, double>{0.469919, 123.905959},
    std::pair<double, double>{0.421620, 124.076574},
    std::pair<double, double>{0.375844, 124.251007},
    std::pair<double, double>{0.329486, 124.429103},
    std::pair<double, double>{0.285511, 124.610661},
    std::pair<double, double>{0.241906, 124.795526},
    std::pair<double, double>{0.199801, 124.983520},
    std::pair<double, double>{0.159204, 125.174491},
    std::pair<double, double>{0.119197, 125.368316},
    std::pair<double, double>{0.080704, 125.564839},
    std::pair<double, double>{0.042916, 125.763926},
    std::pair<double, double>{0.006114, 125.965461},
    std::pair<double, double>{-0.029247, 126.169340},
    std::pair<double, double>{-0.063595, 126.375490},
    std::pair<double, double>{-0.096982, 126.583799},
    std::pair<double, double>{-0.130190, 126.794134},
    std::pair<double, double>{-0.161950, 127.006388},
    std::pair<double, double>{-0.192275, 127.220481},
    std::pair<double, double>{-0.222174, 127.436356},
    std::pair<double, double>{-0.250482, 127.653926},
    std::pair<double, double>{-0.277968, 127.873092},
    std::pair<double, double>{-0.305115, 128.093775},
    std::pair<double, double>{-0.331067, 128.315880},
    std::pair<double, double>{-0.356450, 128.539324},
    std::pair<double, double>{-0.380465, 128.764053},
    std::pair<double, double>{-0.402998, 128.990012},
    std::pair<double, double>{-0.425720, 129.217112},
    std::pair<double, double>{-0.447711, 129.445258},
    std::pair<double, double>{-0.467966, 129.674416},
    std::pair<double, double>{-0.487357, 129.904576},
    std::pair<double, double>{-0.506617, 130.135679},
    std::pair<double, double>{-0.525014, 130.367632},
    std::pair<double, double>{-0.542037, 130.600364},
    std::pair<double, double>{-0.558519, 130.833837},
    std::pair<double, double>{-0.574101, 131.068001},
    std::pair<double, double>{-0.588950, 131.302810},
    std::pair<double, double>{-0.603542, 131.538202},
    std::pair<double, double>{-0.617041, 131.774114},
    std::pair<double, double>{-0.629540, 132.010512},
    std::pair<double, double>{-0.641188, 132.247356},
    std::pair<double, double>{-0.652281, 132.484595},
    std::pair<double, double>{-0.663060, 132.722173},
    std::pair<double, double>{-0.673116, 132.960033},
    std::pair<double, double>{-0.682196, 133.198138},
    std::pair<double, double>{-0.690651, 133.436500},
    std::pair<double, double>{-0.698665, 133.675115},
    std::pair<double, double>{-0.705737, 133.913890},
    std::pair<double, double>{-0.712382, 134.152739},
    std::pair<double, double>{-0.718309, 134.391654},
    std::pair<double, double>{-0.723239, 134.630644},
    std::pair<double, double>{-0.727706, 134.869695},
    std::pair<double, double>{-0.732355, 135.108748},
    std::pair<double, double>{-0.736128, 135.347724},
    std::pair<double, double>{-0.738891, 135.586599},
    std::pair<double, double>{-0.741424, 135.825353},
    std::pair<double, double>{-0.742678, 136.063936},
    std::pair<double, double>{-0.743837, 136.302325},
    std::pair<double, double>{-0.744923, 136.540532},
    std::pair<double, double>{-0.745221, 136.778552},
    std::pair<double, double>{-0.745040, 137.016325},
    std::pair<double, double>{-0.744683, 137.253810},
    std::pair<double, double>{-0.743983, 137.491013},
    std::pair<double, double>{-0.742451, 137.727929},
    std::pair<double, double>{-0.740250, 137.964535},
    std::pair<double, double>{-0.737792, 138.200781},
    std::pair<double, double>{-0.735231, 138.436604},
    std::pair<double, double>{-0.731913, 138.671980},
    std::pair<double, double>{-0.728178, 138.906931},
    std::pair<double, double>{-0.724392, 139.141457},
    std::pair<double, double>{-0.720226, 139.375507},
    std::pair<double, double>{-0.715349, 139.609053},
    std::pair<double, double>{-0.710392, 139.842119},
    std::pair<double, double>{-0.704992, 140.074718},
    std::pair<double, double>{-0.699345, 140.306817},
    std::pair<double, double>{-0.693435, 140.538328},
    std::pair<double, double>{-0.686799, 140.769228},
    std::pair<double, double>{-0.679995, 140.999589},
    std::pair<double, double>{-0.672975, 141.229428},
    std::pair<double, double>{-0.665949, 141.458651},
    std::pair<double, double>{-0.658499, 141.687148},
    std::pair<double, double>{-0.650440, 141.914936},
    std::pair<double, double>{-0.642127, 142.142119},
    std::pair<double, double>{-0.633585, 142.368701},
    std::pair<double, double>{-0.624861, 142.594573},
    std::pair<double, double>{-0.616604, 142.819729},
    std::pair<double, double>{-0.607887, 143.044250},
    std::pair<double, double>{-0.598263, 143.268103},
    std::pair<double, double>{-0.588398, 143.491212},
    std::pair<double, double>{-0.578300, 143.713587},
    std::pair<double, double>{-0.568761, 143.935256},
    std::pair<double, double>{-0.558992, 144.156190},
    std::pair<double, double>{-0.548605, 144.376325},
    std::pair<double, double>{-0.538228, 144.595643},
    std::pair<double, double>{-0.527454, 144.814201},
    std::pair<double, double>{-0.516552, 145.032027},
    std::pair<double, double>{-0.505628, 145.249081},
    std::pair<double, double>{-0.494426, 145.465328},
    std::pair<double, double>{-0.482832, 145.680791},
    std::pair<double, double>{-0.471257, 145.895496},
    std::pair<double, double>{-0.459919, 146.109392},
    std::pair<double, double>{-0.448417, 146.322432},
    std::pair<double, double>{-0.436739, 146.534623},
    std::pair<double, double>{-0.424298, 146.745975},
    std::pair<double, double>{-0.411610, 146.956524},
    std::pair<double, double>{-0.399446, 147.166302},
    std::pair<double, double>{-0.387381, 147.375236},
    std::pair<double, double>{-0.374850, 147.583289},
    std::pair<double, double>{-0.362302, 147.790508},
    std::pair<double, double>{-0.350106, 147.996870},
    std::pair<double, double>{-0.337347, 148.202326},
    std::pair<double, double>{-0.323850, 148.406898},
    std::pair<double, double>{-0.310806, 148.610652},
    std::pair<double, double>{-0.298254, 148.813588},
    std::pair<double, double>{-0.285102, 149.015645},
    std::pair<double, double>{-0.271556, 149.216810},
    std::pair<double, double>{-0.258611, 149.417089},
    std::pair<double, double>{-0.245742, 149.616471},
    std::pair<double, double>{-0.231637, 149.814929},
    std::pair<double, double>{-0.217704, 150.012500},
    std::pair<double, double>{-0.204301, 150.209253},
    std::pair<double, double>{-0.190705, 150.405168},
    std::pair<double, double>{-0.177574, 150.600154},
    std::pair<double, double>{-0.163879, 150.794194},
    std::pair<double, double>{-0.149917, 150.987371},
    std::pair<double, double>{-0.135815, 151.179712},
    std::pair<double, double>{-0.121900, 151.371175},
    std::pair<double, double>{-0.108404, 151.561732},
    std::pair<double, double>{-0.094438, 151.751394},
    std::pair<double, double>{-0.080725, 151.940171},
    std::pair<double, double>{-0.066729, 152.128049},
    std::pair<double, double>{-0.052792, 152.315031},
    std::pair<double, double>{-0.038661, 152.501119},
    std::pair<double, double>{-0.024399, 152.686320},
    std::pair<double, double>{-0.010505, 152.870643},
    std::pair<double, double>{0.003609, 153.054085},
    std::pair<double, double>{0.017990, 153.236658},
    std::pair<double, double>{0.032329, 153.418349},
    std::pair<double, double>{0.046305, 153.599146},
    std::pair<double, double>{0.060449, 153.779049},
    std::pair<double, double>{0.074818, 153.958072},
    std::pair<double, double>{0.089058, 154.136257},
    std::pair<double, double>{0.103090, 154.313629},
    std::pair<double, double>{0.117142, 154.490145},
    std::pair<double, double>{0.131698, 154.665751},
    std::pair<double, double>{0.146220, 154.840481},
    std::pair<double, double>{0.160329, 155.014402},
    std::pair<double, double>{0.174627, 155.187507},
    std::pair<double, double>{0.188777, 155.359757},
    std::pair<double, double>{0.203033, 155.531121},
    std::pair<double, double>{0.217460, 155.701596},
    std::pair<double, double>{0.231292, 155.871220},
    std::pair<double, double>{0.245415, 156.040018},
    std::pair<double, double>{0.259972, 156.207993},
    std::pair<double, double>{0.274056, 156.375156},
    std::pair<double, double>{0.288011, 156.541494},
    std::pair<double, double>{0.302106, 156.707001},
    std::pair<double, double>{0.316139, 156.871699},
    std::pair<double, double>{0.330608, 157.035580}
};

constexpr std::array<std::array<std::pair<double, double>, cycleEntries>, 2> fineVentricleLoops{
    fineVentricleLVLoop, fineVentricleRVLoop
};

#endif //VENTRICLEPVLOOPS_HPP
